%define oname akonadi-notes

Summary:	Plasma 5 Akonadi notes
Name:		plasma5-%{oname}
Version:	17.08.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	boost-devel
BuildRequires:	kf5akonadi-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5mime-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Xml)

%description
Plasma 5 Akonadi notes.

#----------------------------------------------------------------------------

%package i18n
Summary:	Plasma 5 Akonadi notes library translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
Plasma 5 Akonadi notes library translations

%files i18n -f akonadinotes5.lang

#----------------------------------------------------------------------------

%define kf5akonadinotes_major 5
%define libkf5akonadinotes %mklibname kf5akonadinotes %{kf5akonadinotes_major}

%package -n %{libkf5akonadinotes}
Summary:	Plasma 5 Akonadi notes shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5akonadinotes}
Plasma 5 Akonadi notes shared library.

%files -n %{libkf5akonadinotes}
%{_kde5_libdir}/libKF5AkonadiNotes.so.%{kf5akonadinotes_major}*

#----------------------------------------------------------------------------

%define devkf5akonadinotes %mklibname kf5akonadinotes -d

%package -n %{devkf5akonadinotes}
Summary:	Development files for Plasma 5 Akonadi notes library
Group:		Development/KDE and Qt
Requires:	%{libkf5akonadinotes} = %{EVRD}
Provides:	kf5akonadinotes-devel = %{version}

%description -n %{devkf5akonadinotes}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5akonadinotes}
%dir %{_kde5_includedir}/KF5/Akonadi/Notes
%{_kde5_includedir}/KF5/Akonadi/Notes/*
%dir %{_kde5_includedir}/KF5/akonadi/notes
%{_kde5_includedir}/KF5/akonadi/notes/*
%{_kde5_includedir}/KF5/akonadi-notes_version.h
%{_kde5_libdir}/cmake/KF5AkonadiNotes
%{_kde5_libdir}/libKF5AkonadiNotes.so
%{_kde5_mkspecsdir}/qt_AkonadiNotes.pri

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang akonadinotes5

%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (8dc9ff2) New version 17.08.2


